Skip to main content
PATCH
Update Assessments Result

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
score
object | null
start_date
string<date-time> | null

The start date of the candidate test

Example:

"2021-01-01T01:01:01.000Z"

submission_date
string<date-time> | null

The submission date of the candidate test

Example:

"2021-01-01T01:01:01.000Z"

summary
string | null

The summary about the result of the test

Example:

"Test is passed"

result
object | null
result_url
string | null

The test`s result url

Example:

"https://exmaple.com/result?id=xyz"

attachments
object[] | null
candidate
object | null
passthrough
object | null

Value to pass through to the provider

Example:

Response

The result update of the assessment for candidate.

statusCode
number
required
Example:

200

message
string
required
Example:

"Record updated successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"